org.h2.store

## Interface InDoubtTransaction

All Known Implementing Classes:
  PageStoreInDoubtTransaction

    public interface InDoubtTransaction

Represents an in-doubt transaction (a transaction in the prepare phase).

### Field Summary

Fields
`static int` `COMMIT` The transaction state meaning this transaction is committed.
`static int` `IN_DOUBT` The transaction state meaning this transaction is not committed yet, but also not rolled back (in-doubt).
`static int` `ROLLBACK` The transaction state meaning this transaction is rolled back.

### Method Summary

Methods
`java.lang.String` `getState()` Get the state of this transaction as a text.
`java.lang.String` `getTransactionName()` Get the name of the transaction.
`void` `setState(int state)` Change the state of this transaction.

### Field Detail

#### IN_DOUBT

    static final int IN_DOUBT

The transaction state meaning this transaction is not committed yet, but also not rolled back (in-doubt).

See Also:
  Constant Field Values

#### COMMIT

    static final int COMMIT

The transaction state meaning this transaction is committed.

See Also:
  Constant Field Values

#### ROLLBACK

    static final int ROLLBACK

The transaction state meaning this transaction is rolled back.

See Also:
  Constant Field Values

### Method Detail

#### setState

    void setState(int state)

Change the state of this transaction. This will also update the transaction log.

Parameters:
  `state` - the new state

#### getState

    java.lang.String getState()

Get the state of this transaction as a text.

Returns:
  the transaction state text

#### getTransactionName

    java.lang.String getTransactionName()

Get the name of the transaction.

Returns:
  the transaction name